Package org.optaplanner.core.impl.partitionedsearch.queue

## Class PartitionChangedEvent<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.partitionedsearch.queue.PartitionChangedEvent<Solution_>

- Type Parameters:
    `Solution_` - the solution type, the class with the `PlanningSolution` annotation

      public final class PartitionChangedEvent<Solution_>
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `PartitionChangedEvent.PartitionChangedEventType` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PartitionChangedEvent​(int partIndex, long eventIndex, long partCalculationCount)` |
    `PartitionChangedEvent​(int partIndex, long eventIndex, Throwable throwable)` |
    `PartitionChangedEvent​(int partIndex, long eventIndex, PartitionChangeMove<Solution_> move)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Long` | `getEventIndex()` |
    `PartitionChangeMove<Solution_>` | `getMove()` |
    `Long` | `getPartCalculationCount()` |
    `int` | `getPartIndex()` |
    `Throwable` | `getThrowable()` |
    `PartitionChangedEvent.PartitionChangedEventType` | `getType()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PartitionChangedEvent

          public PartitionChangedEvent​(int partIndex,
                                       long eventIndex,
                                       long partCalculationCount)

    - #### PartitionChangedEvent

          public PartitionChangedEvent​(int partIndex,
                                       long eventIndex,
                                       PartitionChangeMove<Solution_> move)

    - #### PartitionChangedEvent

          public PartitionChangedEvent​(int partIndex,
                                       long eventIndex,
                                       Throwable throwable)

  - ### Method Detail

    - #### getPartIndex

          public int getPartIndex()

    - #### getEventIndex

          public Long getEventIndex()

    - #### getType

          public PartitionChangedEvent.PartitionChangedEventType getType()

    - #### getMove

          public PartitionChangeMove<Solution_> getMove()

    - #### getPartCalculationCount

          public Long getPartCalculationCount()

    - #### getThrowable

          public Throwable getThrowable()